
Foreman - Bug #14346

New Template  feature does not work with firefox 45.0

03/24/2016 09:49 AM - Rajesh Mallah

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.10.2

Bugzilla link: 1318732 Red Hat JIRA:  

Pull request:    

Description

Replication Steps:

Go to "Hosts" -> "Provisioning Templates" -> "New Template"

1) Name: testtemplate   In template editor write " Test code"  in Audit Comment : "testing"

2) Click on tab "Type" click on "snippet"

3) click "Submit"

Current Behaviour: UI system responds with text "can't be blank"

Desired Behaviour: A new template should be created.

Notes:

(1) The desired behaviour is achievable is browser google-chrome is used .

(2) <tbrisker> on #theforeman comments below:

"rmallah: i can confirm this occurs only in FF when creating a template using the two-pane layout.

if using the full scrren (open the new link in a new tab) it works fine, also for chrome."

Related issues:

Related to Foreman - Bug #13997: Unable to create users in IE10 / Edge New 03/01/2016

Has duplicate Foreman - Bug #14347: Editing / addint templates not possible (... Duplicate 03/24/2016

Has duplicate Foreman - Bug #14471: Unable to save a provisioning template af... Duplicate 04/04/2016

Has duplicate Foreman - Bug #14918: Cannot add new Partition Template 1.11.1 Duplicate 05/03/2016

Has duplicate Foreman - Bug #15521: foreman intenal password reset for admin ... Duplicate 06/26/2016

Has duplicate Foreman - Bug #16536: Adding a global param / Associating a pro... Duplicate 09/13/2016

History

#1 - 03/24/2016 09:58 AM - Dominic Cleal

- Category set to Templates

#2 - 03/24/2016 10:00 AM - Dominic Cleal

- Has duplicate Bug #14347: Editing / addint templates not possible (template can't be blank) added

#3 - 03/30/2016 10:59 AM - Dominic Cleal

- Related to Bug #13997: Unable to create users in IE10 / Edge added

#4 - 04/05/2016 03:22 AM - Dominic Cleal

- Has duplicate Bug #14471: Unable to save a provisioning template after editing added

#5 - 05/10/2016 03:03 AM - Dominic Cleal

- Has duplicate Bug #14918: Cannot add new Partition Template 1.11.1 added
#6 - 06/27/2016 03:11 AM - Dominic Cleal

- Has duplicate Bug #15521: foreman intenal password reset for admin user failing as first task post fresh install foreman 1.12.0-0.1.RC2 added

#7 - 09/13/2016 11:01 AM - Dominic Cleal

- Has duplicate Bug #16536: Adding a global param / Associating a provisionning template with an OS -> Exception EOFError in Rack application

object added

#8 - 10/26/2016 05:29 AM - Marek Hulán

- Bugzilla link set to 1318732

#9 - 03/28/2022 12:24 PM - Marek Hulán

- Status changed from New to Resolved

I believe this is already resolved.
